<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Http;

class keluarLelong extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'keluar:lelong {--all : all zone} {--1 : update zone 1} {--2 : update zone 2} {--3 : update zone3}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Keluar Lelong';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        if($this->option('all')){
            $zone = 'all';
        }else if($this->option('1')){
            $zone = '1';
        }else if ($this->option('2')){
            $zone = '2';
        }else if ($this->option('3')){
            $zone = '3';
        }

        $updateOnline = Http::withOptions(['verify' => config('app.api_verify')])->get(config('api.url') . '/api/keluar/lelong',[
            'zone' => $zone
        ])->json();
        $updateOnline = Http::withOptions(['verify' => config('app.api_verify')])->get(config('api.url') . '/api/keluar/lelong/tawarruq',[
            'zone' => $zone
        ])->json();
        if($updateOnline == 'successful'){
            return 0;
        }else{
            return 'failed';
        }
    }
}
